Xilinx ISE S/W Install kernel version "mismatch"

Do you have a question? Post it now! No Registration Necessary

Threaded View


[crossposted because it's about Xilinx S/W, I'm running Slackware, and
s.e.d is where all the really smart people hang out...]

OK, I decided to take a chance and download that 839MB shell script that's
written for RedHat Enterprise, and was doing OK, (I had to shell out as
root a couple of times to give the install script permission to write to a
new directory, but that felt kind of kewl. :-) ), and now I'm at kind of a
stopper. The graphic install has the progress bar at 99%, and there's a
white-X-in-the-red-circle error message: Error: Cannot run process -
/usr/local/richgrise/Xilinx/.xinstall/install_driverscript
while simultaneously, the Konsole where I invoked it says:
------<quote>------
richgrise@thunderbird:~/L/Downloads/Xilinx_Webpack_8.1i_Webpack $
WebPACK_81i_SFD.sh
Verifying archive integrity... All good. Uncompressing Xilinx ISE WebPACK
Installer.....................................................................................................................................................................................................
/lib/modules/misc/windrvr6.o: kernel-module version mismatch
        /lib/modules/misc/windrvr6.o was compiled for kernel version
        2.4.18-14 while this kernel is version 2.4.31.
------</quote>------
and the console is patiently waiting (no prompt), and the error dialog box
is patiently waiting for me to click "OK".

So, I wonder, is there some way to spoof Xilinx ISE for Red Hat Enterprise
into thinking that I have the older kernel? Or, maybe (yah, right) that
Xilinx guy who shows up from time to time on comp.arch.fpga might have
some suggestion. :-)

Frankly, I'm kinda surprised that it's gotten as far as it has, running a
Red Hat Enterprise script on a plain vanilla Slackware box. :-) That's
Slackware 10.2, basically right out of the box; and the "Single File
Install" at Xilinx:
http://www.xilinx.com/ise/logic_design_prod/webpack.htm

So, back to the question, can I spoof it? Or get enough source code to
recompile and relink it? I certainly don't want to try to install a
different kernel - that's WAY beyond my scope of "expertise". ;-)

Thanks!
Rich


Re: Xilinx ISE S/W Install kernel version "mismatch"


Quoted text here. Click to load it
[continuing to crosspost, because I'm a kind of annoying fellow...]
Quoted text here. Click to load it
[written for Red Hat Blah blah...]

So, now, I'm wondering, how in the heck do they include a whole installable
package in a shell script? Binary here documents?

Thanks,
Rich



Re: Xilinx ISE S/W Install kernel version "mismatch"


Quoted text here. Click to load it

Nvidia does the same thing with their binary-only drivers, the binary
is included as part of one giant shell script. Perhaps you could
even modify it if you used an 8-bit clean editor...

Re: Xilinx ISE S/W Install kernel version "mismatch"



Quoted text here. Click to load it

I think there is an option in the kernel which allows you to turn this
check off. But this will need a recompilation of the kernel. By
changing some defines, you can have the 2.4.18-14 kernel compile as a
2.4.31 version. Still, there may be differences in the kernel which
make the software written for the 2.4.31 version incompatible with
version 2.4.18. Somehow Linux developers don't seem to care a bit
about backwards compatibility which makes maintaining Linux software a
real pain in the ass.

--
Reply to nico@nctdevpuntnl (punt=.)
Bedrijven en winkels vindt U op www.adresboekje.nl

Re: Xilinx ISE S/W Install kernel version "mismatch"


Rich,

I am not really sure, why you are trying to install Xilinx on Slackware.
As you describe, you have a plain vanilla system, so probably  the
reason for using Slackware is, that you just did not have access to RedHat?

Try this:
http://www.centos.org
http://www.lineox.net

This is both basically RedHat with a few changed artworks and logos. It
is compiled from the same sources as RedHat and seems to work fine. You
will see a few error messages during install, but the software seems to
run fine.

Xilinx: Would have been nice to have a hint to the available RedHat
clones on your web site, as not everybody wants to buy RedHat. Thanks
for adding this to your knowledge base.


Best regards, Felix
--
Dipl.-Ing. Felix Bertram
http://www.bertram-family.com/felix



We've slightly trimmed the long signature. Click to see the full one.
Re: Xilinx ISE S/W Install kernel version "mismatch"



Quoted text here. Click to load it

No, my reason for using Slackware is, I can do a plain vanilla install,
hand-picking what I want and how I want it configured, and it will do
everything I want done, with the possible exception of Xilinx ISE until
I find a workaround. ;-) Meanwhile, I can still boot W2K and use ISE there.

I've tried Red Hat, and didn't like the M$-ish attitude of the install
script - it never even gave me an option to partition my drives or
anything, and Slackware was my first Linux ever, back in the mid-1990's,
when you had to download about 30 floppy disks. ;-) At the time, I picked
it from the vast smorgasboard of distros because I liked the name the best. :-)

Cheers!
Rich


Re: Xilinx ISE S/W Install kernel version "mismatch"


Quoted text here. Click to load it

Red Hat not giving you a chance to partition your drives? Have they slipped
that much? Back when I was doing more sysadmin work, I thought RH 7.x/8.x
was quite good, including all those options, letting you pick what you want
to install, etc..

Mind you, I've kept running Slackware at home, mainly because centos and
such weren't available last time I installed, and Fedora/Yarrow had lots of
"unstable" warnings.

MH

Re: Xilinx ISE S/W Install kernel version "mismatch"



Quoted text here. Click to load it
Installer.....................................................................................................................................................................................................

My Linux knowledge and experience says "go for it", tell the install it is
OK.  Significant API changes the second version number.  If you had a 2.4.X
versus a 2.6.x version issue it could not be expected to not cause some
problems.

--
JosephKK
Gegen dummheit kampfen die Gotter Selbst, vergebens.  
We've slightly trimmed the long signature. Click to see the full one.
Re: Xilinx ISE S/W Install kernel version "mismatch"


Quoted text here. Click to load it


Not specifically for your distribution but here's something on recompiling
xpc4drvr and windrvr6 for a different kernel:

http://gentoo-wiki.com/HOWTO_Xilinx

It looks to me as if unless you're using their programmer hardware you
don't need to bother. Synthesis and schematic capture ought to work without
this driver.

Coincidentally, Xilinx mailed out my copy of ISE today, so I'll know
soon enough ;-)

-- Adam

Re: Xilinx ISE S/W Install kernel version "mismatch"



Quoted text here. Click to load it

Thanks, but that link only talks about kernel 2.6, but Slackware ships
with 2.4, and 2.6 is an option, that I've been afraid to try. ("Compile
a new kernel????? Are you nuts?"

Thanks!
Rich



Re: Xilinx ISE S/W Install kernel version "mismatch"


Quoted text here. Click to load it

Do you want to use the Xilinx programming tools (impact)? If not, you
don't need those two drivers, as Adam said.

If you do want to use those tools, then Xilinx requires that you
recompile the drivers against your kernel, if you are using a kernel
different from the one the compiled against. Kind of annoying, and
hopefully one of these days Xilinx will do it right.

If you have not recompiled your own kernel, then you probably just need
to install the kernel sources corresponding to the kernel you have, and
compile the drivers. I don't use Slackware, so I don't know how it is
done there. I see that this is crossposted to alt.os.linux.slackware, so
someone there could probably help with that.

Re: Xilinx ISE S/W Install kernel version "mismatch"


Quoted text here. Click to load it

I have no problem with compiling from source, on my current kernel, but
does Xilinx let us D/L source?

Thanks,
Rich



Re: Xilinx ISE S/W Install kernel version "mismatch"


Quoted text here. Click to load it

Yes. The HOWTO mentioned by Adam tells where to get them from Xilinx.

Re: Xilinx ISE S/W Install kernel version "mismatch"


Quoted text here. Click to load it


Sorta. The "source" is actually the source for a compatibility
layer. The bulk of the driver is an x86 object module that the
source code invokes.

Thus, no AMD64 support.

--
Steve Williams                "The woods are lovely, dark and deep.
steve at icarus.com           But I have promises to keep,
We've slightly trimmed the long signature. Click to see the full one.

Site Timeline